List Top Sold Products

This listing comes from the current Store's inventory whose Seller is associated with the user's bearer token making this API call.

This endpoint returns the product category that received the most sales by the currently authenticated store.

{
    "totalItems": integer,
    "success": boolean,
    "errors": [],
    "results": [
        {
            "productId": integer,
            "productName": "string",
            "setName": "string",
            "categoryName": "string",
            "rarity": "string",
            "number": integer,
            "lowestPrice": decimal
        }
    ]
}
{
    "totalItems": 30681,
    "success": true,
    "errors": [],
    "results": [
        {
            "productId": 145602,
            "productName": "Field of Ruin",
            "setName": "Ixalan",
            "categoryName": "Magic",
            "rarity": "U",
            "number": "254",
            "lowestPrice": 1.79
        },
        {
            "productId": 155794,
            "productName": "Curious Obsession",
            "setName": "Rivals of Ixalan",
            "categoryName": "Magic",
            "rarity": "U",
            "number": "35",
            "lowestPrice": 0.22
        },
        {
            "productId": 95242,
            "productName": "Gurmag Angler",
            "setName": "Fate Reforged",
            "categoryName": "Magic",
            "rarity": "C",
            "number": "72",
            "lowestPrice": 0.3
        },
        {
            "productId": 118411,
            "productName": "Bloodbraid Elf",
            "setName": "Eternal Masters",
            "categoryName": "Magic",
            "rarity": "U",
            "number": "197",
            "lowestPrice": 2.67
        },
        {
            "productId": 155738,
            "productName": "Hadanas Climb",
            "setName": "Rivals of Ixalan",
            "categoryName": "Magic",
            "rarity": "R",
            "number": "158",
            "lowestPrice": 1.72
        },
        {
            "productId": 151825,
            "productName": "Island",
            "setName": "Unstable",
            "categoryName": "Magic",
            "rarity": "L",
            "number": "213",
            "lowestPrice": 3.56
        },
        {
            "productId": 145699,
            "productName": "Swamp",
            "setName": "Ixalan",
            "categoryName": "Magic",
            "rarity": "L",
            "number": "268",
            "lowestPrice": 0.18
        },
        {
            "productId": 66560,
            "productName": "Ethereal Armor",
            "setName": "Return to Ravnica",
            "categoryName": "Magic",
            "rarity": "C",
            "number": "9",
            "lowestPrice": 0.22
        },
        {
            "productId": 151828,
            "productName": "Forest",
            "setName": "Unstable",
            "categoryName": "Magic",
            "rarity": "L",
            "number": "216",
            "lowestPrice": 2.74
        },
        {
            "productId": 145686,
            "productName": "Mountain",
            "setName": "Ixalan",
            "categoryName": "Magic",
            "rarity": "L",
            "number": "272",
            "lowestPrice": 0.19
        }
    ]
}
Path Params
string
required

Required. A unique key used to identify the caller of the API.

Query Params
int32

If provided, this request will only return products from the specified category.

boolean

If set to true, generic listings will be returned. Default is true.

boolean

If set to true, custom listings will be returned. Default is true.

int32

The channel to search for results. Defaults to 0, the TCG Marketplace.

boolean

If true, will return results for excluded categories. Default is false.

int32

Used for paging. The number of TopSoldProducts to skip. Default is 0.

int32

Used for paging. The maximum number of TopSoldProducts to return. Default is 10.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json